Last Comment Bug 572571 - "ASSERTION: FBO not supported" and "ASSERTION: nsCARenderer::Render failure"
: "ASSERTION: FBO not supported" and "ASSERTION: nsCARenderer::Render failure"
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: mozilla7
Assigned To: Benoit Girard (:BenWa)
:
Mentors:
Depends on:
Blocks: 343943
  Show dependency treegraph
 
Reported: 2010-06-16 16:41 PDT by Jesse Ruderman
Modified: 2011-08-19 04:29 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
testcase (104 bytes, text/html)
2010-06-16 16:41 PDT, Jesse Ruderman
no flags Details
gdb output (includes stacks for the assertions) (22.35 KB, text/plain)
2010-06-16 16:47 PDT, Jesse Ruderman
no flags Details
detailed graphics card info (444 bytes, text/plain)
2010-06-16 18:08 PDT, Jesse Ruderman
no flags Details
output from OpenGL Driver Monitor (30.17 KB, text/plain)
2010-06-21 15:24 PDT, Jesse Ruderman
no flags Details
Prevent Setup if size is unsupported (4.07 KB, patch)
2010-08-01 16:19 PDT, Benoit Girard (:BenWa)
jaas: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2010-06-16 16:41:23 PDT
Created attachment 451747 [details]
testcase

Using a debug build on Mac OS X 10.6:

###!!! ASSERTION: FBO not supported: 'Error', file /Users/jruderman/mozilla-central/gfx/src/thebes/utils/nsCoreAnimationSupport.mm, line 541

###!!! ASSERTION: nsCARenderer::Render failure: 'Not Reached', file /Users/jruderman/mozilla-central/layout/generic/nsObjectFrame.cpp, line 3671
Comment 1 Jesse Ruderman 2010-06-16 16:47:01 PDT
Created attachment 451752 [details]
gdb output (includes stacks for the assertions)
Comment 2 Vladimir Vukicevic [:vlad] [:vladv] 2010-06-16 17:11:30 PDT
This is plugins, I believe -- don't think we use CA for anything other than OOPP in the browser.
Comment 3 Benoit Girard (:BenWa) 2010-06-16 17:33:28 PDT
Yup, it's a problem with the 'Core Animation' drawing model for plug-ins. 

Jesse can you include your Graphic Card information?
Comment 4 Jesse Ruderman 2010-06-16 18:08:10 PDT
QuickTime Plug-in 7.6.6

NVIDIA GeForce 9400
Comment 5 Jesse Ruderman 2010-06-16 18:08:59 PDT
Created attachment 451780 [details]
detailed graphics card info
Comment 6 Benoit Girard (:BenWa) 2010-06-19 12:08:10 PDT
I looked into the problem further and assumed that TEXTURE_RECTANGLE was not supported. From what I gather from the CGLTexImageIOSurface2D requires the use of TEXTURE_RECTANGLE so we might have no choice but to use it for IOSurface.

Jesse can you see if you have "OpenGL Driver Monitor" installed. Select 'Monitors', "Renderer Info" from the menu bar. Select 'Save As Text' and attach it? I'm interested in seeing what support is provided TEXTURE_RECTANGLE.
Comment 7 Jesse Ruderman 2010-06-21 15:24:40 PDT
Created attachment 452870 [details]
output from OpenGL Driver Monitor

Here you go, BenWa.  (I clicked "Expand All" before clicking "Save As Text".)
Comment 8 Benoit Girard (:BenWa) 2010-06-24 18:19:12 PDT
It just occurred to me that the Quicktime's object frame had a width of 20,000. Core Animation, or at least the CARenderer, doesn't even support anything this large: 
-[<OOPMovieLayer: 0x2f57b00> display]: Ignoring bogus layer size (20000.000000, 150.000000)
Chromium has the same error.

roc thinks that we should just render nothing, which I agree with, which is the behavior I currently get. The only problem is that the code keeps trying to initialize and this is draining the CPU so I will post a patch for this.

If someone thinks the expect behavior should be otherwise let me know.
Comment 9 Benoit Girard (:BenWa) 2010-08-01 16:19:25 PDT
Created attachment 461952 [details] [diff] [review]
Prevent Setup if size is unsupported

This patch prevents the caller from trying to initialize the nsCARenderer again if we know that this size is unsupported.
Comment 10 Benoit Girard (:BenWa) 2011-06-15 14:14:17 PDT
Checked the patch for bit-rot, still working. Checkin-needed.
Comment 12 Mounir Lamouri (:mounir) 2011-06-20 08:46:11 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/946a55feeb02
Comment 13 Vlad [QA] 2011-08-19 04:29:35 PDT
How can this be verified? Can you please provide some STR.
Thanks

Note You need to log in before you can comment on or make changes to this bug.